# Class FormControlMarkPristineDirective

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:12

#####
Index

### Constructors

constructor

### Methods

onClick

##
Constructors

### constructor

- new FormControlMarkPristineDirective(
  parent: ControlContainer,
  ): FormControlMarkPristineDirective

  #### Parameters

  - parent: ControlContainer

  #### Returns FormControlMarkPristineDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:14

##
Methods

### onClick

- onClick(): void

  #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:18